unit PhoneEditUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Mask, DBCtrls, ExtCtrls;

type
  TPhoneEditForm = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    BitBtn1: TBitBtn;
    DBCheckBox1: TDBCheckBox;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PhoneEditForm: TPhoneEditForm;

implementation

uses DataModuleUnit;

{$R *.dfm}

procedure TPhoneEditForm.BitBtn1Click(Sender: TObject);
begin
 if DataModule1.TelephonTable.Modified then
  DataModule1.TelephonTable.Post;
end;

end.
